start=11 --Номер начального флага(количество флагов соответствует количеству сообщений)
Message="Цели группы:" --Сообщение при вызове своих целей
MessageAllTasks="Цели коалиции:" --Сообщение при вызове всех целей

MessageEnd="Задача группы выполнена, возврат на 'точку'." --Сообщение о конце миссии(Выводится только оно, когда каждого сообщения соответствующий флаг равер 0)
MessageEndAllTasks="Задачи миссии выполнены. Всем - возврат на 'точку'." --Сообщение о конце миссии при вызове всех целей

Messages={
"\
- Подавление ПВО среднего радиуса действия на ТВД.", --1
"\
- Разведка и зачистка площадки десантирования в районе GH90.", --2
"\
- Уничтожить Базу 'СЕВЕР' и наземную группу в районе GH82.", --3
"\
- Уничтожить Базу 'ЮГ' и наземную группу в районе GG47.", --4
"\
- Уничтожить Базу 'ЗАПАД' и наземную группу в районе GG61.", --5
"\
- Уничтожить Базу 'ВОСТОК' и наземную группу в районе LM35.", --6
"\
- Нейтрализовать возникающие угрозы нашей авиабазе.", --7
"\
- Доставить Десанты 1 и 2 в район GH90. Работа парой.\
(Правила работы с десантом см. в брифинге).", --8
}
--Цели, обязательно в кавычках через запятую(1-я цель - 1-й флаг, 2-я цель - 2-й флаг и т.д.)

F10name=" Запрос целей группы" -- Сообщение для вызова своих целей
F10nameAllTasks=" Запрос общей обстановки" -- Сообщение для вызова всех целей миссии. Если функция не нужна - оставить кавычки пустыми(F10nameAllTasks="")

showTime=15 --Время отображения
callDelay=5 --Время, которое вызов будет отсутствовать(команда будет отсутсовать в меню (showTime+callDelay) секунд)

groupIDs=
{ --В квадратных скобках прописаны номера групп
[52]={2,3,4,5,6}, --Грач. Обязательно ставить запятую в конце каждой строчки
[53]={1,3,4,5,6}, --Ворон
[58]={8}, --Ротор
[60]={2,7}, --Акула
} --После равно - индексы сообщений, которые должны им выводиться

env.setErrorMessageBoxEnabled(false)
trigger.action.outText("В этой миссии доступен запрос целей через меню F10",30)
--Если сообщение появилось при запуске скрипта в миссии, то ошибок в описании переменных нет

----------------------------------------------------------------------------------------------------------------------------------------------------------

function Search(i,x)
    local bool=false
    for _,u in pairs(x) do
        if i==u then
            bool=true
        end
    end
    return bool
end

function CheckAllTask(x)
    local str=MessageAllTasks
    local finish=true
    for i,u in pairs(Messages) do
        if(trigger.misc.getUserFlag(tostring(start-1+i))==1)then
            str=str.."\n"..u
            finish=false
        end
    end
    if(finish) then
        str=MessageEndAllTasks
    end
    trigger.action.outTextForGroup(x,str, showTime)
    remove(x)
    timer.scheduleFunction(add, x, timer.getTime()+callDelay+showTime)
end

function CheckTask(x)
    local str=Message
    local finish=true
    for i,u in pairs(Messages) do
        if(trigger.misc.getUserFlag(tostring(start-1+i))==1) and Search(i,groupIDs[x]) then
            str=str.."\n"..u
            finish=false
        end
    end
    if(finish) then
        str=MessageEnd
    end
    trigger.action.outTextForGroup(x,str, showTime)
    remove(x)
    timer.scheduleFunction(add, x, timer.getTime()+callDelay+showTime)
end

function remove(x)
    missionCommands.removeItemForGroup(x,F10name)
    if F10nameAllTasks~=nil and F10nameAllTasks~="" then
        missionCommands.removeItemForGroup(x,F10nameAllTasks)
    end
end

function add(x)
    missionCommands.addCommandForGroup(x,F10name, nil, CheckTask,x)
    if F10nameAllTasks~=nil and F10nameAllTasks~="" then
        missionCommands.addCommandForGroup(x,F10nameAllTasks, nil, CheckAllTask,x)
    end
end

for g,_ in pairs(groupIDs) do
add(g)
end


